include:
  - project: 'fit-connect/pipeline'
    ref: main
    file: 'reuse.gitlab-ci.yml'

stages:
  - lint
  - test
  - build

reuse:
  extends: .reuse
  variables:
    DOCKER_REGISTRY_READ: $DOCKER_PULL_REGISTRY

build:
  stage: build
  image: mcr.microsoft.com/dotnet/sdk:6.0
  script: dotnet build FitConnect

test:
  stage: test
  image: mcr.microsoft.com/dotnet/sdk:6.0
  script:
    - dotnet test E2ETest
    - dotnet test IntegrationTests
    - dotnet test BasicUnitTest

